MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004664ATutorContentpublic2010-12-14 16:012012-07-26 09:59
Reportergreg 
Assigned Togreg 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.1 
Summary0004664: language switch on content editor
DescriptionThe language switcher in the footer does not work while the Content Editor is being displayed.
TagsNo tags attached.
Affects versionSVN
SVN Revision##
Attached Files

- Relationships
child of 0003904closedcindy html validation error from side menu links 

-  Notes
(0004804)
greg (administrator)
2010-12-15 15:10

also seems to happen on the enrollment manager, but only IE7/8. But only sometimes. Maybe an IE issue.
(0004840)
harris (developer)
2010-12-20 12:57

"SEP" is applied twice with htmlentities()/htmlspecialchars().

Once in vitals.inc.php line 804; second in include/html/languages.inc.php line 31.

I was going to remove the htmlentities from vitals but I saw that it's a fix from Cindy for 0003904. Not sure what the best approach is here.
(0005326)
harris (developer)
2011-09-12 16:25

Hi cindy, can you take a quick look and see if the htmlentities can be removed? Or should we use another approach? I can reproduce it still for IE9 under content editor, the path changed to "&" instead of "&"
(0005332)
Evelien (reporter)
2011-09-19 12:49
edited on: 2011-09-19 12:50

This happens to me when viewing content, in IE8, IE9 and in Firefox. In the URL you can see that the ampersant is escaped. Removing the "amp;" behind the ampersant takes you to the page in the desired language. (Using ATutor 2.0.3.)

(0005678)
greg (administrator)
2012-07-23 10:43

would appear to have been resolved with the addition of AT_print() used with language switch
(0005721)
greg (administrator)
2012-07-26 09:59

close for ATutor 2.1

- Issue History
Date Modified Username Field Change
2010-12-14 16:01 greg New Issue
2010-12-14 16:01 greg Affects version => SVN
2010-12-15 15:10 greg Note Added: 0004804
2010-12-20 09:52 harris Status new => assigned
2010-12-20 09:52 harris Assigned To => harris
2010-12-20 11:05 harris Relationship added child of 0003904
2010-12-20 12:52 harris Priority normal => high
2010-12-20 12:57 harris Note Added: 0004840
2011-09-12 16:24 harris Assigned To harris => cindy
2011-09-12 16:25 harris Note Added: 0005326
2011-09-12 16:25 harris Status assigned => feedback
2011-09-19 12:49 Evelien Note Added: 0005332
2011-09-19 12:50 Evelien Note Edited: 0005332 View Revisions
2012-07-23 10:43 greg SVN Revision# => #
2012-07-23 10:43 greg Note Added: 0005678
2012-07-23 10:43 greg Status feedback => assigned
2012-07-23 10:43 greg Status assigned => resolved
2012-07-23 10:43 greg Fixed in Version => 2.1
2012-07-23 10:43 greg Resolution open => fixed
2012-07-23 10:43 greg Assigned To cindy => greg
2012-07-26 09:59 greg Note Added: 0005721
2012-07-26 09:59 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker